<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import DataTable Library -->
  
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
</head>
<body>
    <div class="container">
        <div class="text-center mt-2 mb-2">
          <h2>F100 - lịch sử quay dice</h2>
        </div>
        <div class="jumbotron container">
            <div class="row form-group">
                <div class="col-sm-12">
                  <label for="voucherCodeInput">Thông tin người chơi:</label>
                </div>
              </div>
          <div class="row form-group">
            <div class="col-sm-4">
                <div class="row form-group  d-flex">
                    <div class="col-sm-5">
                        <label for="voucherCodeInput">User name:</label>
                    </div>
                    <div class="col-sm-7">
                        
                       <input type="text" id="inp-username" class="form-control">
                    </div>
                </div>

            </div>
            <div class="col-sm-4">
                <div class="row form-group  d-flex">
                    <div class="col-sm-5">
                        <label for="voucherCodeInput">First name:</label>
                    </div>
                    <div class="col-sm-7">
                        
                        <input type="text" id="inp-firstname" class="form-control">
                    </div>
                </div>


            </div>
            <div class="col-sm-4">
                <div class="row form-group  d-flex">
                    <div class="col-sm-5">
                        <label for="voucherCodeInput">Last name:</label>
                    </div>
                    <div class="col-sm-7">
                        
                        <input type="text" id="inp-lastname" class="form-control">
                    </div>
                </div>


            </div>
          </div>
      </div>
      
      <div class="container">
        <table class="table table-bordered table-striped table-hover" id="user-table">
          <thead>
            <tr>
              <th>Lần chơi </th>
              <th>Kết quả</th>

            </tr>
          </thead>
        </table>
      </div>
</body>
<script>
     /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
     onPageLoading();
 /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */  
 function onPageLoading() {
    var vUrlString = window.location.href; //đường đẫn gọi đến trang
                var vUrl = new URL(vUrlString);
                var vFirstname = vUrl.searchParams.get("firstname");
                var vUsername = vUrl.searchParams.get("username");
                var vLastname = vUrl.searchParams.get("lastname");
                $("#inp-firstname").val(vFirstname);
                $("#inp-username").val(vUsername);
                $("#inp-lastname").val(vLastname);
                const vBASE_URL = "http://203.171.20.210:8080/devcamp-lucky-dice";   
                $.ajax({
				url: vBASE_URL + "/dice-history?username=" + vUsername,
				type: 'GET',

				success: function (paramUser) {
                    console.log(paramUser)
					showUserDataToForm(paramUser);
				},
				error: function (paramErr) {
					console.log(paramErr.status);
				},
			});
 }
 /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
 function showUserDataToForm(paramUser){
    var vTable = $("#user-table");
    for(var bI = 0; bI < paramUser.dices.length;bI++){

        var vRow = $("<tr>").appendTo(vTable);
        $("<td>",{
            text: bI+1
        }).appendTo(vRow);
        $("<td>",{
            text: paramUser.dices[bI]
        }).appendTo(vRow);
    }
 }
</script>
</html>